.sideBar {
  font-family: var(--primaryFont);
  background-color: var(--primaryBackgroundColor);
  display: flex;
  height: 100%;
  width: 64px;
  align-items: center;
  /* box-shadow: 0 1px 2px 0 rgba(60, 64, 67, 0.3), 0 2px 6px 2px rgba(60, 64, 67, 0.15); */
  top: 0;
  position: fixed;
  background-color: #F9F9F9;
  z-index: 1;
  flex-direction: column;
  justify-content: space-between;
}

.increaseBar {
  height: 100%;
  width: 64px;
  top: 0;
  position: fixed;
  background-color: #F9F9F9;
  z-index: -1;
  transition: ease-in-out all 0.3s;
  box-shadow: 0 1px 2px 0 rgba(60, 64, 67, 0.3), 0 2px 6px 2px rgba(60, 64, 67, 0.15);
}

.sideBar:hover .increaseBar {
  width: 400px;
}

.sideBar:hover .navItem {
  width: 214px;
}

.sideBar:hover .skillus {
  display: flex;
  animation: fade-in 1s;
}

.skillus {
  background: -webkit-linear-gradient(#f77f5c, #882d52);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  display: none;
  position: absolute;
  left: 64px;
  height: 64px;
  align-items: flex-end;
}

.logo {
  cursor: pointer;
  display: flex;
  align-items: baseline;
  font-weight: bold;
  font-size: 30px;
}

.logo > img {
  height: 48px;
  margin: 8px;
}

.links {
  display: flex;
  justify-content: space-between;
  color: var(--primaryColor);
  font-size: var(--fontTitleSize);
  flex-direction: column;
}

.backgoundItem {
  justify-content: center;
  display: flex;
  margin-bottom: 52px;
}

.backgoundItem i {
  font-size: 28px;
  width: 44px;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.navItem {
  width: 44px;
  height: 44px;
  display: flex;
  flex-direction: row;
  position: fixed;
  left: 8px;
  transition: ease-in-out all 0.3s;
  color: #282828;
}

.navItem a {
  position: absolute;
  margin-left: 44px;
  height: 44px;
  align-items: center;
  display: none;
}

.navItem img {
  margin: auto 0 auto 5.5px;
}

.navItem:hover {
  cursor: pointer;
  background-color: #DFDFDF;
  border-radius: 4px;
}

.sideBar:hover .navItem a {
  display: flex;
  animation: fade-in 1s;
}

.loginOptions p {
  font-size: 15px;
  display: flex;
  margin: 0px 20px 0px 0px;
  cursor: pointer;
}

.loginOptions p:first-child {
  margin: 0px 10px 0px 0px;
  display: flex;
  align-items: center;
  color: var(--secondaryColor);
}

.user { 
  width: 100%;
  margin-bottom: 8px;
}

.user > div {
  display: flex;
  align-items: center;
  flex-direction: column;
  font-size: var(--fontTitleSize)
}

.name p {
  background-color: #882d52;
}

.userImg {
  height: 33px;
  width: 33px;
  border-radius: 33px;
  cursor: pointer;
}

.logout {
  color: var(--primaryColor);
  font-size: 11px;
  cursor: pointer;
}

.bottom {
  background-color: var(--backgroundSecondaryColor);
  position: fixed;
  bottom: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: calc(100vw - 80px);
  margin-left: 64px;
  padding: 4px 8px;
}

.bottom > div {
  display: flex;
  align-items: center;
}

.bottom > div > a {
  transition: all 200ms ease-in-out;
  margin-left: 1vw;
}

.bottom > div > p {
  margin-left: 1.5vw;
}

@keyframes fade-in {
  from {opacity: 0}
  to {opacity: 1}
}

@media only screen and (max-width: 500px) {
  .logo, .bottom { display: none !important }
  .sideBar, 
  .increaseBar {
    height: 64px;
    width: 100%;
    bottom: 0 !important;
    top: auto;
  }
  .sideBar:hover .increaseBar {
    width: 100%;
  }
  .links {
    flex-direction: row;
    width: 100%;
  }
  .navItem {
    position: inherit;
    flex-direction: column;
  }
  .navItem a {
    position: inherit;
    display: flex;
    margin: 0;
    justify-content: center;
  }
  .sideBar { flex-direction: row }
  .backgoundItem, .user {
    width: 25vw;
    margin: 0;
  }
  .navItem:hover { background-color: #f9f9f9 }
  .sideBar:hover .navItem { width: 45px }
  .sideBar:hover .navItem a {
    animation: none;
  }
  
}
